//
//  VirtualEye.java
//  EVCK
//
//  Created by dario on 15/04/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

import java.awt.image.*;

/*
 * Implements some functions about human visual system.
 */
public class VirtualEye {
	
	/*
	 * Returns an image obtained as if a human eye views the images in the ims array
	 * stacked together.
	 * @param ims images array to stack together.
	 * @return a BufferedImage with the result of this operation.
	 */
	public static BufferedImage overlap(BufferedImage[] ims)
	{	BufferedImage res = new BufferedImage(ims[0].getWidth(), ims[0].getHeight(), BufferedImage.TYPE_INT_ARGB);
		for(int i=0; i<res.getWidth(); i++)
		{	for(int j=0; j<res.getHeight(); j++)
			{	res.setRGB(i, j, Math.min(ims[0].getRGB(i,j),ims[1].getRGB(i,j)));
			}
		}
		return res;
	}
}
